POST api/queue/search/idle
Request Information
URI Parameters
None.
Body Parameters
QueueSearchDto| Name | Description | Type | Additional information |
|---|---|---|---|
| DateType | string |
None. |
|
| ProcessedFrom | date |
None. |
|
| ProcessedTo | date |
None. |
|
| IsProcessed | boolean |
None. |
|
| Start | integer |
None. |
|
| Length | integer |
None. |
|
| CampaignId | globally unique identifier |
None. |
|
| ShortUnique | string |
None. |
|
| Status | StatusDto |
None. |
|
| Statuses | Collection of integer |
None. |
|
| PersonId | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"dateType": "sample string 1",
"processedFrom": "2026-07-10T06:04:05.3415252+02:00",
"processedTo": "2026-07-10T06:04:05.3415252+02:00",
"isProcessed": true,
"start": 2,
"length": 3,
"campaignId": "25a8b4b4-1c04-4b4b-b6c8-5f01e23fcdba",
"shortUnique": "sample string 4",
"status": {
"id": 1,
"name": "sample string 2",
"readableName": "sample string 3",
"type": "sample string 4",
"color": "sample string 5"
},
"statuses": [
1,
2
],
"personId": "e5af6557-dbbc-4b60-8dc8-f254a9959975"
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.